<!-- Title -->
<h1 align="center">
  Dedalus Project
</h1>

<!-- Information badges -->
<p align="center">
  <a href="https://www.repostatus.org/#active">
    <img alt="Repo status" src="https://www.repostatus.org/badges/latest/active.svg" />
  </a>
  <a href="http://dedalus-project.readthedocs.org">
    <img alt="Read the Docs" src="https://img.shields.io/readthedocs/dedalus-project">
  </a>
  <img alt="PyPI - Python Version" src="https://img.shields.io/pypi/pyversions/dedalus">
  <img alt="PyPI" src="https://img.shields.io/pypi/v/dedalus">
  <img alt="PyPI - License" src="https://img.shields.io/pypi/l/dedalus">
</p>

**Note: this branch is the development head of v2 of the codebase.
The development head of v3 of the codebase is on the ["master" branch](https://github.com/DedalusProject/dedalus/tree/master).**

Dedalus is a flexible framework for solving partial differential equations using modern spectral methods.
The code is open-source and developed by a team of researchers studying astrophysical, geophysical, and biological fluid dynamics.

Dedalus is written primarily in Python and features an easy-to-use interface with symbolic equation specification.
Our numerical algorithms produce sparse and spectrally accurate discretizations of a wide variety of PDEs.
The resulting systems are efficiently solved using compiled libraries and are automatically parallelized using MPI.

## Links

* Project homepage: <http://dedalus-project.org>
* Code repository: <https://github.com/DedalusProject/dedalus>
* Documentation: <http://dedalus-project.readthedocs.org>
* Mailing list: <https://groups.google.com/forum/#!forum/dedalus-users>

## Developers

* [Keaton Burns (@kburns)](https://github.com/kburns)
* [Geoff Vasil (@gmvasil)](https://github.com/gmvasil)
* [Jeff Oishi (@jsoishi)](https://github.com/jsoishi)
* [Daniel Lecoanet (@lecoanet)](https://github.com/lecoanet/)
* [Ben Brown (@bpbrown)](https://github.com/bpbrown)
